Bug 832136 - Seam2.3 seam-gen generated project contains obsolete .classpath
Seam2.3 seam-gen generated project contains obsolete .classpath
Status: CLOSED DEFERRED
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Seam (Show other bugs)
2.0.0.ER8
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Marek Novotny
Marek Schmidt
Seam2.3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 11:43 EDT by Marek Schmidt
Modified: 2012-06-19 04:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 04:18:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Schmidt 2012-06-14 11:43:06 EDT
Description of problem:

The .classpath file in the seam-gen generated project is not updated to contain the actual libraries in lib/ which causes problems when the seam-gen generated project is imported in JBDS:

Description	Resource	Path	Location	Type
Project 'myproject' is missing required library: 'bootstrap'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/core.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/drools-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/ejb-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/hibernate-annotations.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/hibernate-search.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/janino.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/jboss-cache.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/jboss-embedded-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/jsf-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/jsf-facelets.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/jta.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/persistence-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/richfaces-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/servlet-api.jar'	myproject		Build path	Build Path Problem
Project 'myproject' is missing required library: 'lib/testng-jdk15.jar'	myproject		Build path	Build Path Problem
Comment 1 Marek Novotny 2012-06-15 02:23:26 EDT
that requires to be updated/back ported from upstream, where it is resolved in https://issues.jboss.org/browse/JBSEAM-4960

Note You need to log in before you can comment on or make changes to this bug.